package com.netease.nim.uikit.common.presenter

import com.netease.nim.uikit.common.rx.DisposableCollector
import io.reactivex.disposables.Disposable

open class HandleDisposablePresenter : AbsPresenter() {

    private val disposableCollector = DisposableCollector()

    fun collectDisposable(collectorBlank: (() -> Disposable)) {
        disposableCollector.collect(collectorBlank)
    }

    override fun onDetach() {
        super.onDetach()
        disposableCollector.clearDisposable()
    }

}