package com.netease.nim.uikit.common.rx

import io.reactivex.disposables.Disposable

class DisposableCollector {
    private val disposables = mutableListOf<Disposable>()

    fun collect(collectorBlank: (() -> Disposable)) {
        disposables.add(collectorBlank.invoke())
    }
    fun collect(disposable: Disposable){
        disposables.add(disposable)
    }

    fun clearDisposable() {
        disposables.forEach {
            it.dispose()
        }
        disposables.clear()
    }

}